var loadedfile = requirelib("filelib");
if (!loadedfile) {
    console.log("Failed to load lib filelib, terminated.");
}

//Get all the files filesize on desktop
var folder = readDBItem("PhotoSlideShow", "folder");
//var folder = "user:/Photo/Photo/uploads/";
var interval = readDBItem("PhotoSlideShow", "interval");

var fileList = filelib.glob(folder + "*.*");
var results = [];
for (var i = 0; i < fileList.length; i++) {
    if (!filelib.isDir(fileList[i])) { //Well I don't had isFile, then use !isDir have same effect.
        var subFilename = fileList[i].split(".").pop().toLowerCase();
        if (["jpg", "jpeg", "gif", "png"].indexOf(subFilename) >= 0) {
            //imagelib.resizeImage(src, dest, width, height)
            var filename = fileList[i].split("/").pop();

            results.push("/media/?file=" + folder + filename);
        }
    }
}

var returnArray = { "interval": interval, "results": results };
sendJSONResp(JSON.stringify(returnArray));